"""
Add welcome message table
"""

from yoyo import step

__depends__ = {"20211212_02_LdfLH-change-type-of-size-column-in-file-table"}

steps = [
    step(
        """
        CREATE TABLE introductory_messages (
            service varchar not null,
            user_id varchar not null,
            hash varchar not null,
            content varchar not null,
            added timestamp not null DEFAULT CURRENT_TIMESTAMP,
            PRIMARY KEY (service, user_id, hash)
        );
        """
    )
]
